Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.ObjectInputStream
                  |
                  +--oracle.jbo.common.PiggybackInputStream

public class PiggybackInputStream
extends java.io.ObjectInputStream

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK

Inner classes inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Constructor Summary
`PiggybackInputStream(ObjectMarshaller marshaller, java.io.InputStream strm)`

Method Summary
`ObjectMarshaller` | `getMarshaller()`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveClass, resolveObject, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PiggybackInputStream

    public PiggybackInputStream(ObjectMarshaller marshaller,
                                java.io.InputStream strm)
                         throws java.io.StreamCorruptedException,
                                java.io.IOException

Method Detail

### getMarshaller

    public ObjectMarshaller getMarshaller()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD